These are chat archives for fossasia/open-event-server

21st
Apr 2017
Mario Behling
@mariobehling
Apr 21 2017 00:53
:+1:
ashwani10
@ashwani10
Apr 21 2017 01:49
@Himanshi-Khandelwal no ma'am
Amol Mejari
@mejariamol
Apr 21 2017 04:06
while running latest version gives Internal Server Error with error log - ProgrammingError: (psycopg2.ProgrammingError) column events.deleted_at does not exist
complete error log
Niranjan Rajendran
@niranjan94
Apr 21 2017 04:07
Run migrations.
Amol Mejari
@mejariamol
Apr 21 2017 04:13
@niranjan94 what is value for FLASK_APP env variable ??
Niranjan Rajendran
@niranjan94
Apr 21 2017 04:14
Usually it's just app
Amol Mejari
@mejariamol
Apr 21 2017 04:14
Error: Could not locate Flask application. You did not provide the FLASK_APP environment variable.
Niranjan Rajendran
@niranjan94
Apr 21 2017 04:14
On some computers, I have had to give it as app/_init_.py
Amol Mejari
@mejariamol
Apr 21 2017 04:15
ok :+1:
ashwani10
@ashwani10
Apr 21 2017 04:59
hello guys i am unable to install requirement.txt getting error "Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-_5o6yoyk/psycopg2/
"
almost tried everything but still same issue can anyone help me out how to solve this issue
ashwani10
@ashwani10
Apr 21 2017 05:33
i installed the entire environment on other machine still having the same problem
Himanshi-Khandelwal
@Himanshi-Khandelwal
Apr 21 2017 07:39
@ashwani10 firstly create a virtual environment by
virtualenv <name>
then enter the virtual environment by source <name>/bin/activate
<name> means you will give it a name.
then do pip install -r requirements.txt
ashwani10
@ashwani10
Apr 21 2017 10:25
@Himanshi-Khandelwal same problem in virtualenv ma'am
Himanshi-Khandelwal
@Himanshi-Khandelwal
Apr 21 2017 10:49
@ashwani10 try to run the following commands
sudo apt install libpq-dev python-dev
if this not works then
sudo apt install build-essential
ashwani10
@ashwani10
Apr 21 2017 10:50
okay ma'am
Himanshi-Khandelwal
@Himanshi-Khandelwal
Apr 21 2017 10:50
by the way which version of python are you using?
and don't say ma'am , call by name
ashwani10
@ashwani10
Apr 21 2017 10:51
@Himanshi-Khandelwal its python2.x and OS is Fedora
@Himanshi-Khandelwal still same almost tried everything from past 2-3 days
Himanshi-Khandelwal
@Himanshi-Khandelwal
Apr 21 2017 10:56
@ashwani10 pip install --upgrade setuptools